/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<stdlib.h>
#include	"memory_debug.h"
#include	"utils.h"


L_CHAR *
xx_ll_copy_str(L_CHAR * str,char * file,int line)
{
L_CHAR * ret;
int len;
	len = l_strlen(str);
	ret = xx_d_alloc((len+1)*sizeof(L_CHAR),file,line);
	memcpy(ret,str,(len+1)*sizeof(L_CHAR));
	return ret;
}
